[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Cisco VPN client does not work on FC4



Paul Howarth wrote:
yukku yukkoooooo wrote:
Hi,
I installed the Cisco VPN client version 4.7.00.0640 and the vpnclient install goes through but the vpnclient program comes out with the error vpnclient: error while loading shared libraries: /opt/cisco-vpnclient/lib/libvpnapi.so: cannot restore segment prot after reloc: Permission denied

I have tested an older version of vpn on RH7.0 successfully.
And after upgrade to FC4 its not working anymore.
I got a link to this site
http://www.mcmaster.ca/uts/network/vpn/vpnclient_linux.htm
which seems to suggest that these two can work together with a reboot after the install, but it did not work for me.
Any help on this is appreciated.

Try:

# chcon -t textrel_shlib_t /opt/cisco-vpnclient/lib/libvpnapi.so

Repeat for any similar error you get for different libraries.

This is an SELinux issue.

Whoops, sorry, the diagnosis appears to be wrong. You'd get the error shown above with SELinux on FC5, but not on FC4, which does not have SELinux memory protection.

You might also consider trying vpnc from Extras.

That's still worth a try though.

Paul.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]